<!--#include file="../Include/Conn.jsp" -->
<!--#include file="../Include/char.jsp" -->
<!--#include file="../Include/Const.jsp" -->
<!--#include file="../Include/function.jsp" -->
<!--#include file="IsLogin.jsp" -->
<%
f_id=request("id")
 if f_id="" then
 Call Msgbox("对不起，ID号错误！",1)
 Response.end
 end if
 m_ID = Request.Cookies("aspxnet")("CurUserID")
 m_username= Request.Cookies("aspxnet")("CurUsername")

set rs_a=server.createobject("adodb.recordset")
sql_a="select * from t_club where F_id="&f_id
rs_a.open sql_a,conn,1,3

if rs_a.eof then
 Call Msgbox("对不起，该小圈子已经不存在！",1)
 Response.end
end if
'判别身份，是否有权限上传照片
'set rs_user=server.createobject("adodb.recordset")
'sql_user="select f_ischeck,f_identity from t_club_member where F_club_id="&f_id&" and f_username='"&m_username&"'"
'rs_user.open sql_user,conn
'if rs_user.eof and rs_user.bof then
 'Call Msgbox("对不起,您还未加入本小圈子！",1)
 'Response.end
 'else
' if rs_user("f_ischeck")=false then
 'Call Msgbox("对不起,您还未通过审核加入本小圈子，请耐心等待！",1)
 'Response.end
' end if
'end if

'if rs_p("f_ischeck")=false then
' Call Msgbox("对不起,照片未通过审核！",1)
' Response.end
'end if
%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3c.org/TR/1999/REC-html401-19991224/loose.dtd">
<HTML xmlns="http://www.w3.org/1999/xhtml"><HEAD><TITLE><%=rs_a("f_name")%>-小圈子</TITLE>
<META http-equiv=Content-Type content="text/html; charset=gb2312">
<SCRIPT>
<!--
function SenFe_Code(sname,sid)
{
	if(sid.style.display=="block")
	{
		sid.style.display="none";
		sname.innerText="＋管理";
	}
	else
	{
	sid.style.display="block";
	sname.innerText="－管理";
	}
}
-->
</SCRIPT>

<SCRIPT language=JavaScript>

function copycode() {
  var tempval=eval("document.all.code");
  tempval.focus();
  tempval.select();
  therange=tempval.createTextRange();
  therange.execCommand("Copy");
  alert("\n网址已经拷贝到你的剪贴板上了！\n\n请按Ctrl+V将其粘贴发给你的朋友。");
}

</SCRIPT>
<LINK href="css/my_index.css" type=text/css rel=stylesheet>
<META content="MSHTML 6.00.2800.1555" name=GENERATOR></HEAD>
<BODY><!--Top start-->
<DIV id=top>
<DIV id=logo><A href="QQ_index.jsp"><IMG alt=小圈子 
src="img/my_logo.gif"></A></DIV>
<DIV id=banner><!--广告位置--></DIV>
<H1><A href="<%
a=request.servervariables("server_name")
b=request.servervariables("script_name")
c=Request.ServerVariables("QUERY_STRING")
if c="" then
d="http://"&a&b
else
e="?"&c
d="http://"&a&b&e
end if 
Response.Write d
%>"><%=rs_a("f_name")%></A></H1>
<H2></H2>
<H3><A href="<%
a=request.servervariables("server_name")
b=request.servervariables("script_name")
c=Request.ServerVariables("QUERY_STRING")
if c="" then
d="http://"&a&b
else
e="?"&c
d="http://"&a&b&e
end if 
Response.Write d
%>">告诉朋友</A> <A 
href="QQ_search.jsp">搜索小圈子</A> <A 
href="login.jsp"><IMG 
src="img/my_logbot.gif"></A> </H3></DIV><!--Top end--><!--Nav start-->
<DIV id=nav>
<%if m_username=rs_a("f_manage_username") then%><b><a href="#"><span OnClick="SenFe_Code(this,SenFe_8);">+管理</span></a></b><%end if%>
<A href="club_viewsub.jsp?id=<%=rs_a("f_id")%>">首页</A> | <A 
href="QQ_clubploy.jsp?id=<%=rs_a("f_id")%>">活动</A> | <A 
href="club_photolist.jsp?id=<%=rs_a("f_id")%>">相册</A> | <A 
href="club_usersub.jsp?id=<%=rs_a("f_id")%>">成员</A></DIV>
<div id="SenFe_8" style="display:none;">
&nbsp;&nbsp;[<a href="club_editsub.jsp?id=<%=rs_a("f_id")%>">小圈子设定</a>]&nbsp;&nbsp;[<a href="club_usermanage.jsp?id=<%=rs_a("f_id")%>">会员管理</a>]&nbsp;&nbsp;[<a href="club_meetmanage.jsp?id=<%=rs_a("f_id")%>">活动管理</a>]&nbsp;&nbsp;[<a href="club_photomanage.jsp?id=<%=rs_a("f_id")%>">照片管理</a>]&nbsp;&nbsp;[<a href="club_boardmanage.jsp?id=<%=rs_a("f_id")%>">公告管理</a>]
</div> <!--Nav end--><!--Contain start-->
<DIV id=contain>
<ADDRESS>小圈子地址:<INPUT id=code 
style="FONT: 9pt Arial; WIDTH: 370px; COLOR: #004897; BORDER-TOP-STYLE: none; BORDER-RIGHT-STYLE: none; BORDER-LEFT-STYLE: none; BACKGROUND-COLOR: #edffff; BORDER-BOTTOM-STYLE: none" 
value=<%
a=request.servervariables("server_name")
b=request.servervariables("script_name")
c=Request.ServerVariables("QUERY_STRING")
if c="" then
d="http://"&a&b
else
e="?"&c
d="http://"&a&b&e
end if 
Response.Write d
%> name=code><A 
style="CURSOR: pointer" onclick=copycode()>复制</A> | <A 
href="javascript:window.external.addFavorite('<%
a=request.servervariables("server_name")
b=request.servervariables("script_name")
c=Request.ServerVariables("QUERY_STRING")
if c="" then
d="http://"&a&b
else
e="?"&c
d="http://"&a&b&e
end if 
Response.Write d
%>','小圈子');">收藏</A></ADDRESS><!--资料 start-->
<DIV class=rim>
<H2><B onclick=SenFe_Code(this,SenFe_2); href="#">－</B> <%=rs_a("f_name")%></H2>
<DIV id=SenFe_2 style="DISPLAY: block">
<DIV id=picshow>
<UL> <%
					dim PerPage
					set rs_c=server.createobject("adodb.recordset")
					sql_c="select f_id,f_photo,f_content,f_regtime,f_username from t_club_photo where F_club_id="&f_id&" order by f_regtime desc"
					rs_c.open sql_c,conn,1,1
					'flag="尚未处理"
                    PerPage=9
				
                   '假如没有数据时
                 ' If rs_c.eof and rs_c.bof then
                  ' response.write "<p align='center'><font color='#ff0000'>还没任何新闻</font></p>"
                 ' response.end
                 ' End if
					'取得页数,并判断用户输入的是否数字类型的数据，如不是将以第一页显示
                    text="0123456789"
                    Rs_c.PageSize=PerPage
					
                    for i=1 to len(request("page"))
                    checkpage=instr(1,text,mid(request("page"),i,1))
                    if checkpage=0 then
                    exit for
                    end if
                    next

                  If checkpage<>0 then
                  If NOT IsEmpty(request("page")) Then
                  CurrentPage=Cint(request("page"))
                  If CurrentPage < 1 Then CurrentPage = 1
                  If CurrentPage > Rs_c.PageCount Then CurrentPage = Rs_c.PageCount
                  Else
                  CurrentPage= 1
                  End If
                 If not Rs_c.eof Then Rs_c.AbsolutePage = CurrentPage end if
                 Else
                 CurrentPage=1
                 End if					
				%>  
          <%
if not rs_c.eof then
i=0
do while not rs_c.eof
%>
  <LI>
  <DIV><a href="club_photoview.jsp?id=<%=rs_a("f_id")%>&p_id=<%=rs_c("f_id")%>"><img src="<%=rs_c("f_photo")%>" border="0"></A></DIV><%=rs_a("f_content")%> </LI>
 <%
i=i+1
if i mod 5=0 then
response.write " "
end if
if i >= Perpage then exit do
rs_c.movenext
loop
end if
%>   </UL>
<DIV style="CLEAR: both"></DIV></DIV>
<DIV class=page><% If currentpage > 1 Then  %>
            &nbsp;<a href='club_photolist.jsp?id=<%=rs_a("f_id")%>&page=<%=cstr(1)%>'><SPAN style="FONT-SIZE: 15px; COLOR: #000000; FONT-FAMILY: webdings">9</SPAN></a> 
            &nbsp;<a href='club_photolist.jsp?id=<%=rs_a("f_id")%>&page=<%=Cstr(currentpage-1)%>'><SPAN style="FONT-SIZE: 15px; COLOR: #000000; FONT-FAMILY: webdings">7</SPAN></a> 
            &nbsp; 
            <% Else  %>
            &nbsp;<SPAN style="FONT-SIZE: 15px; COLOR: #000000; FONT-FAMILY: webdings">9</SPAN> 
            &nbsp;<SPAN style="FONT-SIZE: 15px; COLOR: #000000; FONT-FAMILY: webdings">7</SPAN> 
            <% end if %>
            <%
			  if rs_c.pagecount>8 then
			  n_star=currentpage
			  n_end=currentpage+7
			  else
			  n_star=1
			  n_end=rs_c.pagecount			  
			  end if
			  %>
            <% FOR n=n_star to n_end %>
            <% if n>rs_c.pagecount then  exit for  end if%>
            &nbsp;<a href='club_photolist.jsp?id=<%=rs_a("f_id")%>&page=<%=n%>'><FONT color=#ff0000><B><%=n%></B></FONT></a> 
            <%
			  next
			 %>
            <% If currentpage < Rs_c.PageCount Then %>
            &nbsp;<a href='club_photolist.jsp?id=<%=rs_a("f_id")%>&page=<%=Cstr(currentPage+1)%>'><SPAN  style="FONT-SIZE: 15px; COLOR: #000000; FONT-FAMILY: webdings">8</SPAN></a> 
            &nbsp;<a href='club_photolist.jsp?id=<%=rs_a("f_id")%>&page=<%=Cstr(Rs_c.PageCount)%>'><SPAN  style="FONT-SIZE: 15px; COLOR: #000000; FONT-FAMILY: webdings">:</SPAN></a> 
            <% else %>
            &nbsp;<SPAN  style="FONT-SIZE: 15px; COLOR: #000000; FONT-FAMILY: webdings">8</SPAN> 
            &nbsp;<SPAN  style="FONT-SIZE: 15px; COLOR: #000000; FONT-FAMILY: webdings">:</SPAN> 
            <% end if %> </DIV></DIV></DIV><!--活动 end--></DIV><!--Contain end-->
<DIV id=footer><A class=list href="../about/?Para=Intro" target=_blank>关于我们</A> ┊ <A class=list href="../about/?Para=Contact" target=_blank>联系方式</A> ┊ <A class=list href="../about/?Para=Job" target=_blank>招贤纳士</A> ┊ <A class=list href="../about/?Para=AdService" target=_blank>广告服务</A> ┊ <A class=list href="../about/?Para=Cooperate" target=_blank>合作伙伴</A> ┊ <A class=list href="../so/Suggestion.jsp" target=_blank> 留言/投诉</A> ┊ <A class=list href="../about/?Para=Job" target=_blank></A><BR><%=Site_info(5)%></DIV></BODY></HTML>
